scala.xml.persistent
class IndexedStorage

[source: `scala/xml/persistent/IndexedStorage.scala`]

`` `class` IndexedStorage[A](file : java.io.File, index : Index[A])
  `extends` CachedFileStorage

  indexed multiset of xml trees. The index may be an arbitrary totally type, especially one can construct indices by selecting parts of xml nodes.

Values and Variables inherited from CachedFileStorage
dirty, interval

Method Summary
`def` | += (e : Node) : Unit adds a node, setting this.dirty to true as a side effect
`def` | -= (e : Node) : Unit removes a tree, setting this.dirty to true as a side effect
`def` | lookup (n : A) : Option[Node]
`def` | nodes : Iterator[Node] returns an iterator over the nodes in this storage

Methods inherited from CachedFileStorage
initialNodes, run, flush

Methods inherited from Logged
log

Methods inherited from java.lang.Thread
java.lang.Thread.start, java.lang.Thread.stop, java.lang.Thread.stop, java.lang.Thread.interrupt, java.lang.Thread.isInterrupted, java.lang.Thread.destroy, java.lang.Thread.isAlive, java.lang.Thread.suspend, java.lang.Thread.resume, java.lang.Thread.setPriority, java.lang.Thread.getPriority, java.lang.Thread.setName, java.lang.Thread.getName, java.lang.Thread.getThreadGroup, java.lang.Thread.countStackFrames, java.lang.Thread.join, java.lang.Thread.join, java.lang.Thread.join, java.lang.Thread.setDaemon, java.lang.Thread.isDaemon, java.lang.Thread.checkAccess, java.lang.Thread.toString, java.lang.Thread.getContextClassLoader, java.lang.Thread.setContextClassLoader, java.lang.Thread.getStackTrace, java.lang.Thread.getId, java.lang.Thread.getState, java.lang.Thread.getUncaughtExceptionHandler, java.lang.Thread.setUncaughtExceptionHandler

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` +=(e : Node) : Unit

  adds a node, setting this.dirty to true as a side effect

Overrides
  CachedFileStorage.+=

`` `def` -=(e : Node) : Unit

  removes a tree, setting this.dirty to true as a side effect

Overrides
  CachedFileStorage.-=

`` `def` nodes : Iterator[Node]

  returns an iterator over the nodes in this storage

Overrides
  CachedFileStorage.nodes

`` `def` lookup(n : A) : Option[Node]